sc::ParentClass(3)

NAME
sc::ParentClass -

Gives one parent class of a class'.

SYNOPSIS

#include <class.h>

  Public Types
enum Access { Private, Protected, Public }

  Public Member Functions
ParentClass (ClassDesc *, Access access=Private, int is_virtual=0)
ParentClass (const ParentClass &)
int is_virtual () const
Access access () const
const ClassDesc * classdesc () const
void change_classdesc (ClassDesc *n)

Detailed Description

Gives one parent class of a class'.

Author

Generated automatically by Doxygen for MPQC from the source code'.